nenoDevelopers
⌘K
v1

Invoices

Download the invoice PDF

GET/invoices/{id}/pdf

Path parameters

idstring · uuidrequired

Public document UUID. This is distinct from the customer-facing share token.

Responses

200
OK. The rendered invoice PDF.
400
Bad request. Malformed request.
401
Unauthorized. Missing, invalid, revoked, or expired API key.
403
Forbidden. The API key lacks a required scope or the creator lacks a required permission.
404
Not found. Resource not found (or not in this workspace).
429
Too many requests. Rate limit exceeded.
Request
curl https://api.neno.build/public/v1/invoices/inv_7Hq2c9LmX4/pdf \
-H "Authorization: Bearer $NENO_API_KEY"
200 OK · application/pdf
// Binary file (application/pdf)